# Selfoss

[![Build Status](https://drone.autonomic.zone/api/badges/coop-cloud/selfoss/status.svg)](https://drone.autonomic.zone/coop-cloud/selfoss)

[Selfoss] RSS reader using Coöp Cloud ♥

<!-- metadata -->
* **Category**: Apps
* **Status**: ❸🍎
* **Image**: [`akito13/selfoss`](https://hub.docker.com/r/akito13/selfoss), ❸🍎, 3rd-party
* **Healthcheck**: Yes
* **Backups**: No
* **Email**: No
* **Tests**: ❸🍎
* **SSO**: N/A
<!-- endmetadata -->

1. Set up Docker Swarm and [`abra`]
2. Deploy [`coop-cloud/traefik`]
3. `cp .envrc.sample .envrc`
4. Edit `.envrc` - be sure to change `$DOMAIN` to something that resolves to
   your Docker swarm box
5. `direnv allow` (or `. .envrc`)
6. `abra secret_generate db_password v1`
7. `abra deploy`
9. Open the configured domain in your browser to finish set-up

[Selfoss]: https://www.selfoss.aditu.de/
[`abra`]: https://git.autonomic.zone/autonomic-cooperative/abra
[`coop-cloud/traefik`]: https://git.autonomic.zone/coop-cloud/traefik
